メインコンテンツへスキップ
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
candles
トークン - ローソク足
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/candles \
  --header 'Authorization: Bearer <token>'
[
  {
    "close": "51.2",
    "high": "51.8",
    "low": "50.1",
    "open": "50.5",
    "timestamp": 1709251200000,
    "volume": "1000000"
  }
]
Get OHLCV candlestick data at various resolutions (1m, 5m, 15m, 1h, 4h, 1d). Ideal for charting and technical analysis.
Related: GraphQL OHLC | MCP: token_get_candles

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
tokenAddress
string
必須

トークンのアドレス

クエリパラメータ

resolution
enum<string>
必須

ローソク足データの時間解像度 Candle resolution

利用可能なオプション:
1s,
15s,
30s,
1m,
3m,
5m,
15m,
30m,
1h,
2h,
4h,
6h,
8h,
12h,
1d,
3d,
1w,
1M
priceType
enum<string>
デフォルト:usd

価格タイプ:usd(デフォルト)またはネイティブトークン価格 Price type for candle data

利用可能なオプション:
usd,
native
from
integer<int64>

開始タイムスタンプ(Unix エポック秒)

to
integer<int64>

終了タイムスタンプ(Unix エポック秒)

limit
integer<int64>

返すローソク足の数

レスポンス

200 - application/json

ローソク足を取得

close
string
必須

Close price

:

"51.2"

high
string
必須

High price

:

"51.8"

low
string
必須

Low price

:

"50.1"

open
string
必須

Open price

:

"50.5"

timestamp
integer<int64>
必須

Timestamp

:

1709251200000

volume
string
必須

Volume

:

"1000000"